
<template>
  <div>
      <h1>IPTU</h1>
      
      <b-form @submit.prevent="buscar" v-if="show">
        <b-row>
          <b-col sm="3">
            <b-form-group
              id="inscricao-group"
              label="Número de Inscrição:"
              label-for="inscricao"
            >
              <b-form-input
                id="inscricao"
                v-model="form.inscricao"
                maxlength="6"
                required
              ></b-form-input>
            </b-form-group>
          </b-col>
        </b-row>
        <b-button squared type="submit" variant="primary">Buscar</b-button>                   
      </b-form>

    <div v-if="!show">
      
      <h5> Dados do Imóvel</h5>
      <ul class="imovel">
        <li>Número de Inscrição : {{imovel.inscricao}}</li>
        <li>Endereço: {{imovel.endereco}}</li>
        <li>Bairro: {{imovel.bairro}}</li>
        <li>CEP: {{imovel.cep}}</li>
        <li>Localidade: {{imovel.localidade}}</li>
        <li>Área: {{imovel.area}}</li>
      </ul>
      <h5>Lista de débitos</h5>
      <b-table striped hover responsive :items="items" :fields="fields"></b-table>
      <b-button squared @click="voltar" variant="info">Voltar</b-button>
    </div>

  </div>
</template>
<script>
import axios from 'axios'
export default {
  data() {
    return {
      form: {
        inscricao: ''
      },
      show: true,
      fields: [
        { key:'ano', label:'Ano'},
        { key:'inscricaoImovel', label:'Inscrição'},
        { key:'tipoDebito', label:'Tipo de Débito'},
        { key:'multa', label:'Multa'},
        { key:'juros', label:'Juros'},
        { key:'outros', label:'Outros'},
        { key:'valor', label:'Valor'},
        { key:'situacao', label:'Situação'}
      ],
      items: [],
      imovel: {
        inscricao:null,
        endereco: null,
        bairro:null,
        cep:null,
        localidade:null,
        area:null
      }
    };   
  },
  methods: {
    buscar() {
      const config = {
        headers:{ Authorization: this.$store.state.token}
      }
      axios.get(`http://localhost:5555/cidadao/imoveis/${this.form.inscricao}`, config)
        .then(({data}) => { this.imovel = data });

      axios.get(`http://localhost:5555/cidadao/debitos-imoveis/${this.form.inscricao}`, config)
      .then(({data}) => { this.items = data })
      .catch(() => { return []})
      this.show = false;
    },
    voltar(){
      this.show = !this.show;
    }
  }
  
};
</script>

<style scoped>
  .imovel {
    list-style:none;
    padding: 0;
  }
</style>